__gnu_pbds::detail::stored_data< _Tv, _Th >(3cxx)

NAME
__gnu_pbds::detail::stored_data< _Tv, _Th >

SYNOPSIS

Inherits __gnu_pbds::detail::stored_value< _Tv >, and __gnu_pbds::detail::stored_hash< _Th >.

  Public Types

typedef _Th hash_type
typedef _Tv value_type

  Public Attributes

hash_type m_hash
value_type m_value

Detailed Description

  template<typename _Tv, typename _Th>
struct __gnu_pbds::detail::stored_data< _Tv, _Th >" Primary template for representation of stored data. Two types of data can be stored: value and hash.

Definition at line 95 of file types_traits.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.